<template>
	<v-container grid-list-xl>
		<form v-on:submit="next">
			<v-layout wrap align-content-center>
				<v-flex xs12>
					<div class="mdc-form-row">
						<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped"  :valid="!hasErrors('first_name')" :class="{'mdc-text-field--invalid': hasErrors('company_name')}" v-model="companyInfo.name" v-validate="'required'" data-vv-name="company_name">
							<label class="mdc-floating-label">Company name</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('company_name')" :class="{'mdc-has-error': hasErrors('company_name')}" v-if="hasErrors('company_name')">
							{{ errors.first('company_name') }}
						</m-text-field-helper-text>
					</div>
					<div class="mdc-form-row">
						<m-text-field textarea outlined required :useNativeValidation="false" :valid="!hasErrors('address')"  :class="{'mdc-text-field--invalid': hasErrors('address')}" v-model="companyInfo.address" v-validate="'required'" data-vv-name="address">
							<label class="mdc-floating-label">Address</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('address')"  :class="{'mdc-has-error': hasErrors('address')}"  v-if="hasErrors('address')">
							{{ errors.first('address') }}
						</m-text-field-helper-text>
					</div>
					<v-layout wrap align-content-center>
						<v-flex xs12 md4>
							<div class="mdc-form-row">
								<mc-select  outlined enhanced v-model="companyInfo.country">
									<li class="mdc-list-item" :data-value="item._id" v-for="item in countries" :key="item._id">
										{{item.name}}
									</li>
									<label class="mdc-floating-label" slot="label">
										Country
									</label>
								</mc-select>
							</div>
						</v-flex>
						<v-flex xs12 md4>
							<div class="mdc-form-row">
								<mc-select outlined enhanced v-model="companyInfo.province" >
									<li class="mdc-list-item" :data-value="item._id" v-for="item in states" :key="item._id">
										{{item.name}}
									</li>
									<label class="mdc-floating-label" slot="label">
										Province
									</label>
								</mc-select>
							</div>
						</v-flex>
						<v-flex xs12 md4>
							<div class="mdc-form-row">
								<mc-select outlined enhanced v-model="companyInfo.city">
									<li class="mdc-list-item" :data-value="item._id" v-for="item in cities" :key="item._id">
										{{item.name}}
									</li>
									<label class="mdc-floating-label" slot="label">
										City
									</label>
								</mc-select>
							</div>
						</v-flex>
					</v-layout>

					<div class="mdc-form-row">
						<mc-select required  outlined enhanced v-model="companyInfo.time_zone" :valid="!hasErrors('time_zone')" :class="{'mdc-select--invalid': hasErrors('time_zone')}" v-validate="'required'" data-vv-name="time_zone">
							<li class="mdc-list-item" :data-value="item._id" v-for="item in timeZones" :key="item._id">
								{{item.display_text}}
							</li>
							<label class="mdc-floating-label" slot="label">
								Time zone
							</label>
						</mc-select>
						<m-text-field-helper-text :validationMsg="hasErrors('time_zone')" :class="{'mdc-has-error': hasErrors('time_zone')}"  v-if="hasErrors('time_zone')">
							{{ errors.first('time_zone') }}
						</m-text-field-helper-text>
					</div>
					<div class="mdc-form-row mdc-text-center">
						<m-typo-headline :level="6" >Primary contact</m-typo-headline>
					</div>
					<v-layout>
						<v-flex xs12 md6>
							<div class="mdc-form-row">
								<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('first_name')" :class="{'mdc-text-field--invalid': hasErrors('first_name')}" v-model="contactInfo.first_name" v-validate="'required'" data-vv-name="first_name">
									<label class="mdc-floating-label">First Name</label>
								</m-text-field>
								<m-text-field-helper-text :validationMsg="hasErrors('first_name')" :class="{'mdc-has-error': hasErrors('first_name')}" v-if="hasErrors('first_name')">
									{{ errors.first('first_name') }}
								</m-text-field-helper-text>
							</div>
						</v-flex>
						<v-flex xs12 md6>
							<div class="mdc-form-row">
								<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('last_name')"  :class="{'mdc-text-field--invalid': hasErrors('last_name')}" v-model="contactInfo.last_name" v-validate="'required'" data-vv-name="last_name">
									<label class="mdc-floating-label">Family Name</label>
								</m-text-field>
								<m-text-field-helper-text :validationMsg="hasErrors('last_name')"  :class="{'mdc-has-error': hasErrors('last_name', 'user-info')}"  v-if="hasErrors('last_name')">
									{{ errors.first('last_name') }}
								</m-text-field-helper-text>
							</div>
						</v-flex>
					</v-layout>

					<div class="mdc-form-row">
						<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" v-model="contactInfo.phone" :valid="!hasErrors('phone')" :class="{'mdc-text-field--invalid': hasErrors('phone')}" v-validate="'required'" data-vv-name="phone">
							<label class="mdc-floating-label">Phone number</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('phone')" class="mdc-text-field-helper-line" :class="{'mdc-has-error': hasErrors('phone')}"  v-if="hasErrors('phone')">
							{{ errors.first('phone') }}
						</m-text-field-helper-text>
					</div>
					<div class="mdc-form-row">
						<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('email')"  :class="{'mdc-text-field--invalid': hasErrors('email')}" v-model="contactInfo.email" v-validate="'required|email'" data-vv-name="email">
							<label class="mdc-floating-label">Email Address</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('email')" :class="{'mdc-has-error': hasErrors('email', 'user-info')}"  v-if="hasErrors('email')">
							{{ errors.first('email') }}
						</m-text-field-helper-text>
					</div>
				</v-flex>
				<v-flex md12 class="text-md-right text-xs-right">
					<div class="mdc-btn-row">
						<v-btn round @click="previous" color="default">Back</v-btn>
						<v-btn round color="primary" @click="next">
							Next
						</v-btn>
					</div>
				</v-flex>
			</v-layout>
		</form>
	</v-container>
</template>
<script src="./CompanyInfo.js"></script>
